## Class THttpException

Description

THttpException class

THttpException represents an exception that is caused by invalid operations of end-users. The StatusCode gives the type of HTTP error. It is used by TErrorHandler to provide different error output to users.

- since: 3.0
- version: $Id: TException.php 2247 2007-09-26 16:05:56Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Exceptions/TException.php (line 384)

    Exception
       |
       --TException
          |
          --TSystemException
             |
             --THttpException

Method Summary
THttpException __construct (integer $statusCode, string $errorMessage)
integer getStatusCode ()
Methods
Constructor __construct (line 396)

Constructor.

- access: public

THttpException __construct (integer $statusCode, string $errorMessage)

- integer $statusCode: HTTP status code, such as 404, 500, etc.
- string $errorMessage: error message. This can be a string that is listed in the message file. If so, the message in the preferred language will be used as the error message. Any rest parameters will be used to replace placeholders ({0}, {1}, {2}, etc.) in the message.

Redefinition of:

TException::__construct()
  Constructor.

getStatusCode (line 414)

- return: HTTP status code, such as 404, 500, etc.
- access: public

integer getStatusCode ()

#### Inherited Methods

Inherited From TException

> TException::__construct()
> TException::getErrorCode()
> TException::getErrorMessage()
> TException::getErrorMessageFile()
> TException::setErrorCode()
> TException::setErrorMessage()
> TException::translateErrorMessage()

Documentation generated on Mon, 21 Apr 2008 11:35:00 -0400 by phpDocumentor 1.3.0RC4